com.aliyun.svideosdk.editor.draft

## Class AliyunDraftManager

- java.lang.Object
- - com.aliyun.svideosdk.editor.draft.AliyunDraftManager

-     public abstract class AliyunDraftManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunDraftManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AliyunDraft` | `copy(java.lang.String draftId)` Added in v3.23.0 copy draft
    `abstract void` | `deleteDraft(java.lang.String draftId)` Added in v3.23.0 delete Draft
    `abstract void` | `downloadDraft(java.io.File draftProject, AliyunDraftResourceDownloader downloader)` download draft.
    `abstract AliyunDraft` | `getDraft(java.lang.String draftId)` Added in v3.23.0 Gets draft by id
    `abstract AliyunDraft` | `getDraftByPath(java.lang.String path)` Added in v3.25.0 Gets draft by path
    `abstract java.util.List<AliyunDraft>` | `getDraftList()` Added in v3.23.0 Gets draft list
    `abstract void` | `getDraftListByAsync(AliyunDraftListCallback callback)` Added in v3.23.0 Gets async draft list by async.
    `static AliyunDraftManager` | `getInstance(Context context)` Added in v3.23.0 Gets draft manager
    `abstract void` | `preLoadDraft(AliyunDraft draft, AliyunDraftResourceLoader loader)` Added in v3.23.0 preload draft Determine whether the resource required to load the draft exists, if not, obtain it through the draft resource loader
    `abstract void` | `rename(java.lang.String draftId, java.lang.String newName)` Added in v3.23.0 rename draft
    `abstract void` | `setProjectId(java.lang.String draftId, java.lang.String projectId)` Added in v3.23.0 Sets project id.
    `abstract void` | `updateCover(AliyunDraft draft, Source source)` Added in v3.25.0 Update cover source.
    `abstract void` | `uploadDraft(AliyunDraft draft, AliyunDraftResourceUploader uploader)` upload draft.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunDraftManager

          public AliyunDraftManager()

  - ### Method Detail

    - #### getInstance

          public static AliyunDraftManager getInstance(Context context)

      Added in v3.23.0 Gets draft manager
      Parameters:
        `context` - context
      Returns:
        DraftManager

    - #### getDraftList

          public abstract java.util.List<AliyunDraft> getDraftList()

      Added in v3.23.0 Gets draft list
      Returns:
        draft list

    - #### getDraftListByAsync

          public abstract void getDraftListByAsync(AliyunDraftListCallback callback)

      Added in v3.23.0 Gets async draft list by async.
      Parameters:
        `callback` - callback

    - #### getDraft

          public abstract AliyunDraft getDraft(java.lang.String draftId)

      Added in v3.23.0 Gets draft by id
      Parameters:
        `draftId` - id
      Returns:
        draft

    - #### getDraftByPath

          public abstract AliyunDraft getDraftByPath(java.lang.String path)

      Added in v3.25.0 Gets draft by path
      Parameters:
        `path` - draft config path
      Returns:
        draft

    - #### rename

          public abstract void rename(java.lang.String draftId,
                                      java.lang.String newName)

      Added in v3.23.0 rename draft
      Parameters:
        `draftId` - id
        `newName` - new name

    - #### setProjectId

          public abstract void setProjectId(java.lang.String draftId,
                                            java.lang.String projectId)

      Added in v3.23.0 Sets project id.
      Parameters:
        `draftId` - id
        `projectId` - new project id

    - #### deleteDraft

          public abstract void deleteDraft(java.lang.String draftId)

      Added in v3.23.0 delete Draft
      Parameters:
        `draftId` - id

    - #### copy

          public abstract AliyunDraft copy(java.lang.String draftId)

      Added in v3.23.0 copy draft
      Parameters:
        `draftId` - id
      Returns:
        draft

    - #### preLoadDraft

          public abstract void preLoadDraft(AliyunDraft draft,
                                            AliyunDraftResourceLoader loader)

      Added in v3.23.0 preload draft Determine whether the resource required to load the draft exists, if not, obtain it through the draft resource loader
      Parameters:
        `draft` - draft
        `loader` - resource loader

    - #### uploadDraft

          public abstract void uploadDraft(AliyunDraft draft,
                                           AliyunDraftResourceUploader uploader)

      upload draft.
      Parameters:
        `draft` - draft
        `uploader` - uploader

    - #### downloadDraft

          public abstract void downloadDraft(java.io.File draftProject,
                                             AliyunDraftResourceDownloader downloader)

      download draft.
      Parameters:
        `draftProject` - the draft project
        `downloader` - downloader

    - #### updateCover

          public abstract void updateCover(AliyunDraft draft,
                                           Source source)

      Added in v3.25.0 Update cover source. If null will auto capture first frame image as cover.
      Parameters:
        `draft` - draft
        `source` - cover source